Add a note to a contact
curl --request POST \
--url https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"mention_ids": [
123
]
}
'import requests
url = "https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/"
payload = {
"content": "<string>",
"mention_ids": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', mention_ids: [123]})
};
fetch('https://api.algosmiths.com/api/v1/contacts/{receiver_id}/notes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"content": "<string>",
"author": {
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
},
"mentions": [
{
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}Contacts
Add a note to a contact
New for the public API (public_api_pytest.md § A1) — note.view/note.create already existed as grantable scopes with no endpoint to consume them until now.
POST
/
api
/
v1
/
contacts
/
{receiver_id}
/
notes
/
Add a note to a contact
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I

